Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.emfforms.spi.view.annotation.model
Interface VAnnotationPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VAnnotationPackageImpl

    public interface VAnnotationPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `VAnnotationFactory`

Nested Class Summary
`static interface` | `VAnnotationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `ANNOTATION` The meta object id for the '`Annotation`' class.
`static int` | `ANNOTATION__KEY` The feature id for the 'Key' attribute.
`static int` | `ANNOTATION__VALUE` The feature id for the 'Value' attribute.
`static int` | `ANNOTATION_FEATURE_COUNT` The number of structural features of the 'Annotation' class.
`static VAnnotationPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Key()` Returns the meta object for the attribute ' `Key`'.
`org.eclipse.emf.ecore.EAttribute` | `getAnnotation_Value()` Returns the meta object for the attribute ' `Value`'.
`org.eclipse.emf.ecore.EClass` | `getAnnotation()` Returns the meta object for class '`Annotation`'.
`VAnnotationFactory` | `getAnnotationFactory()` Returns the factory that creates the instances of the model.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VAnnotationPackage eINSTANCE

  The singleton instance of the package.

### ANNOTATION

    static final int ANNOTATION

  The meta object id for the '`Annotation`' class.

  See Also:
    `VAnnotationImpl`, `VAnnotationPackageImpl.getAnnotation()`, Constant Field Values

### ANNOTATION__KEY

    static final int ANNOTATION__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values

### ANNOTATION__VALUE

    static final int ANNOTATION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### ANNOTATION_FEATURE_COUNT

    static final int ANNOTATION_FEATURE_COUNT

  The number of structural features of the 'Annotation' class.

  See Also:
    Constant Field Values

Method Detail

### getAnnotation

    org.eclipse.emf.ecore.EClass getAnnotation()

  Returns the meta object for class '`Annotation`'.

  Returns:
    the meta object for class 'Annotation'.
  See Also:
    `VAnnotation`

### getAnnotation_Key

    org.eclipse.emf.ecore.EAttribute getAnnotation_Key()

  Returns the meta object for the attribute ' `Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `VAnnotation.getKey()`, `getAnnotation()`

### getAnnotation_Value

    org.eclipse.emf.ecore.EAttribute getAnnotation_Value()

  Returns the meta object for the attribute ' `Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `VAnnotation.getValue()`, `getAnnotation()`

### getAnnotationFactory

    VAnnotationFactory getAnnotationFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.